haltFile=./.halted

##### Check for tgz file
if [ ! -e ./ZDS_TSLD.tgz ]
then
	echo "The code archive (ZDS_TSLD.tgz) is missing. This is required"
	echo for the installation of the Zytronic ZXY100 driver.
	touch $haltFile
	# do not stop yet
fi

##### Check for manual file
#if [ ! -e ./Manual.pdf ]
#then
#	echo The ZyConfig manual is missing.
#fi

##### Check for license file
if [ ! -e ./SoftwareLicenseAgreement.pdf ]
then
	echo "The software license file (SoftwareLicenseAgreement.pdf) is missing."
	echo This is required for the installation of the Zytronic ZXY100 driver.
	touch $haltFile
	# do not stop yet
fi

# stop now, if any of the above checks failed
if [ -e $haltFile ]; then
	rm -f $haltFile
	exit
fi

### Start the install ...

tar -xzf ZDS_TSLD.tgz > /dev/null
pushd bin > /dev/null

action=`echo $1 | tr [A-Z] [a-z]`
if [ "$action" != "zyconfig" ]; then
	cp uninstall.sh ..
	cp remove.sh ..
	sudo ./gen-km-install.sh
fi

sudo ./gen-zyc-install.sh

##### Check if the installation has been halted.
if [ -e ../.halted ]; then
	rm -f ../.halted
	popd
	exit
fi

##### check if a user can write to the lock directory
#     and warn if sudo needed for ZyConfig
echo "test" > /var/lock/zxyTestLock
if [ $? -ne 0 ]; then
	echo -e "\n\nFailed to create a lock file in /var/lock/"
	echo "  run ZyConfig as root: "
	echo "  $ sudo ZyConfig &"
else
	rm -rf /var/lock/zxyTestLock
fi

popd
rm -rf bin
